
CoCoA-5 - Feature #492

New C5 fn for adjusting the warning level

24 Mar 2014 09:50 - John Abbott

Status: New Start date: 24 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.50 hour

Description

Since C5 has several "warning levels", let the (advanced) user change the level (e.g. in the init.cocoa5 file).

Having just a command line flag for setting once and for all the warning level is rather limited.

Name? SetWarningLevel?

Related issues:

Related to CoCoA-5 - Bug #33: Modify the packages so that -w3 produces no war... Closed 22 Nov 2011

Related to CoCoA-5 - Design #481: Multiline comments -- obsolescent? Closed 18 Mar 2014

Related to CoCoA-5 - Feature #35: Optional warnings for fn-proc arity Rejected 23 Nov 2011

Related to CoCoA-5 - Feature #95: Error/warning if fn-proc is neither fn nor ... New 29 Feb 2012

History

#1 - 24 Mar 2014 10:23 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

SetWarningLevel sounds good and clear!

#2 - 04 Apr 2014 16:35 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

This should be easy (but you never know!).

Moving to after Easter as it is unimportant.

#3 - 22 Jul 2014 12:38 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

John Abbott wrote:

This should be easy (but you never know!).

Moving to after Easter as it is unimportant.

 

I agree on both, and move it to next version ;-)
